aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/sync-crowdin.sh
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2020-10-14 17:15:50 +0200
committerJason A. Donenfeld <Jason@zx2c4.com>2020-10-14 17:16:36 +0200
commit106b67d892ce93dcd8a082bcfa1db49b22785dce (patch)
tree0e1b4dce3b61ba009e512cca8d2ce2ce40b8e5ac /sync-crowdin.sh
parentbuild: update to AGP 4.1.0 (diff)
downloadwireguard-android-106b67d892ce93dcd8a082bcfa1db49b22785dce.tar.xz
wireguard-android-106b67d892ce93dcd8a082bcfa1db49b22785dce.zip
build: add crowdin syncer script and use it
Signed-off-by: Jason A. Donenfeld <Jason@zx2c4.com>
Diffstat (limited to '')
-rwxr-xr-xsync-crowdin.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/sync-crowdin.sh b/sync-crowdin.sh
new file mode 100755
index 00000000..043e64f3
--- /dev/null
+++ b/sync-crowdin.sh
@@ -0,0 +1,4 @@
+#!/bin/bash
+set -ex
+curl -Lo - https://crowdin.com/backend/download/project/wireguard.zip | bsdtar -C ui/src/main/res -x -f - --strip-components 5 wireguard-android
+find ui/src/main/res -name strings.xml -exec bash -c '[[ $(xmllint --xpath "count(//resources/*)" {}) -ne 0 ]] || rm -rf "$(dirname {})"' \;